MDB_DUMP(1)

NAME
mdb_dump - LMDB environment export tool

SYNOPSIS
mdb_dump [-V] [-f file] [-l] [-n] [-p] [-a | -s subdb] envpath

DESCRIPTION
The mdb_dump utility reads a database and writes its contents to the standard output using a portable flat-text format understood by the mdb_load(1) utility.

OPTIONS

-V  Write the library version number to the standard output, and exit.

-f file
    Write to the specified file instead of to the standard output.

-l  List the databases stored in the environment. Just the names will be listed, no data will be output.

-n  Dump an LMDB database which does not use subdirectories.

-p  If characters in either the key or data items are printing characters (as defined by isprint(3)), output them directly. This option permits users to use standard text editors and tools to modify the contents of databases.

    Note: different systems may have different notions about what characters are considered printing characters, and databases dumped in this manner may be less portable to external systems.

-a  Dump all of the subdatabases in the environment.

-s subdb
    Dump a specific subdatabase. If no database is specified, only the main database is dumped.

DIAGNOSTICS
Exit status is zero if no errors occur. Errors result in a non-zero exit status and a diagnostic message being written to standard error.

Dumping databases that use user-defined comparison functions will output records with the ordering imposed by those comparison functions. If mdb_load is invoked without including the -a option when reloading those records, the new databases will likely be damaged beyond repair, permitting neither record storage nor retrieval.

SEE ALSO
mdb_load(1)

AUTHOR
Howard Chu of Symas Corporation <http://www.symas.com>